(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('milsymbol')) :
  typeof define === 'function' && define.amd ? define(['milsymbol'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.VMilsymbol = factory(global.ms));
})(this, (function (ms) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var ms__default = /*#__PURE__*/_interopDefaultLegacy(ms);

  const defaults = {};

  var component = {
    render(h) {
      return h('div', {
        staticClass: 'vue--milsymbol',
        attrs: { id: `vue--milsymbol${this._uid}` }
      })
    },
    props: {
      sidc: String,
      options: {
        type: Object,
        default: () => {}
      }
    },
    data: () => ({
      milsymbol: null
    }),
    watch: {
      sidc(sidc) {
        this.milsymbol.setOptions({ sidc });
        this._reRender();
      }
    },
    mounted() {
      const { sidc, options } = this.$props;

      this.milsymbol = new ms__default["default"].Symbol(sidc, {
        ...defaults,
        ...options
      });

      this._addToDom();
    },
    methods: {
      getInstance() {
        return this.milsymbol
      },
      _reRender() {
        this.$el.innerHTML = '';
        this._addToDom();
      },
      _addToDom() {
        this.$el.appendChild(this.milsymbol.asCanvas());
      }
    }
  };

  var index = component.install = (Vue, options = {}) => {
    Object.entries(options).forEach(([key, value]) => {
      defaults[key] = value;
    });

    Vue.component('v-milsymbol', component);
  };

  return index;

}));
